# Uses of Class
javafx.css.ParsedValue

Packages that use ParsedValue
Package
Description
javafx.css
Provides API for making properties styleable via CSS and for supporting pseudo-class state.
javafx.css.converter
Provides various `StyleConverter` classes that convert CSS parsed values.

## Uses of ParsedValue in javafx.css

Methods in javafx.css that return ParsedValue
Modifier and Type
Method
Description
`ParsedValue`
Declaration.`getParsedValue()`
Methods in javafx.css that return types with arguments of type ParsedValue
Modifier and Type
Method
Description
`static StyleConverter<ParsedValue<?,Paint>,Paint>`
StyleConverter.`getPaintConverter()`
Return a `StyleConverter` that converts a parsed representation of a `Paint` to a `Paint`.
Methods in javafx.css with parameters of type ParsedValue
Modifier and Type
Method
Description
`protected void`
StyleConverter.`cacheValue(ParsedValue key, Object value)`
Cache the value for the specified key.
`T`
StyleConverter.`convert(ParsedValue<F,T> value, Font font)`
Convert from the parsed CSS value to the target property type.
`protected T`
StyleConverter.`getCachedValue(ParsedValue key)`
Get the cached value for the specified key.

## Uses of ParsedValue in javafx.css.converter

Methods in javafx.css.converter that return types with arguments of type ParsedValue
Modifier and Type
Method
Description
`static StyleConverter<ParsedValue<?,Size>,Duration>`
DurationConverter.`getInstance()`
`static StyleConverter<ParsedValue<?,Paint>,Paint>`
PaintConverter.`getInstance()`
`static StyleConverter<ParsedValue<?,Size>,Number>`
SizeConverter.`getInstance()`
Methods in javafx.css.converter with parameters of type ParsedValue
Modifier and Type
Method
Description
`Boolean`
BooleanConverter.`convert(ParsedValue<String,Boolean> value, Font not_used)`
`Color`
ColorConverter.`convert(ParsedValue<String,Color> value, Font font)`
`Cursor`
CursorConverter.`convert(ParsedValue<String,Cursor> value, Font not_used)`
`Color`
DeriveColorConverter.`convert(ParsedValue<ParsedValue[],Color> value, Font font)`
`Size`
DeriveSizeConverter.`convert(ParsedValue<ParsedValue<Size,Size>[],Size> value, Font font)`
`Duration`
DurationConverter.`convert(ParsedValue<ParsedValue<?,Size>,Duration> value, Font font)`
`Effect`
EffectConverter.`convert(ParsedValue<ParsedValue[],Effect> value, Font font)`
`Effect`
EffectConverter.DropShadowConverter.`convert(ParsedValue<ParsedValue[],Effect> value, Font font)`
`Effect`
EffectConverter.InnerShadowConverter.`convert(ParsedValue<ParsedValue[],Effect> value, Font font)`
`E`
EnumConverter.`convert(ParsedValue<String,E> value, Font not_used)`
`Font`
FontConverter.`convert(ParsedValue<ParsedValue[],Font> value, Font font)`
`Number`
FontConverter.FontSizeConverter.`convert(ParsedValue<ParsedValue<?,Size>,Number> value, Font font)`
`FontPosture`
FontConverter.FontStyleConverter.`convert(ParsedValue<String,FontPosture> value, Font font)`
`FontWeight`
FontConverter.FontWeightConverter.`convert(ParsedValue<String,FontWeight> value, Font font)`
`Insets`
InsetsConverter.`convert(ParsedValue<ParsedValue[],Insets> value, Font font)`
`Insets[]`
InsetsConverter.SequenceConverter.`convert(ParsedValue<ParsedValue<ParsedValue[],Insets>[],Insets[]> value, Font font)`
`Color`
LadderConverter.`convert(ParsedValue<ParsedValue[],Color> value, Font font)`
`Paint`
PaintConverter.`convert(ParsedValue<ParsedValue<?,Paint>,Paint> value, Font font)`
`Paint`
PaintConverter.ImagePatternConverter.`convert(ParsedValue<ParsedValue[],Paint> value, Font font)`
`Paint`
PaintConverter.LinearGradientConverter.`convert(ParsedValue<ParsedValue[],Paint> value, Font font)`
`Paint`
PaintConverter.RadialGradientConverter.`convert(ParsedValue<ParsedValue[],Paint> value, Font font)`
`Paint`
PaintConverter.RepeatingImagePatternConverter.`convert(ParsedValue<ParsedValue[],Paint> value, Font font)`
`Paint[]`
PaintConverter.SequenceConverter.`convert(ParsedValue<ParsedValue<?,Paint>[],Paint[]> value, Font font)`
`Shape`
ShapeConverter.`convert(ParsedValue<String,Shape> value, Font font)`
`Number`
SizeConverter.`convert(ParsedValue<ParsedValue<?,Size>,Number> value, Font font)`
`Number[]`
SizeConverter.SequenceConverter.`convert(ParsedValue<ParsedValue[],Number[]> value, Font font)`
`Stop`
StopConverter.`convert(ParsedValue<ParsedValue[],Stop> value, Font font)`
`String`
StringConverter.`convert(ParsedValue<String,String> value, Font font)`
`String[]`
StringConverter.SequenceConverter.`convert(ParsedValue<ParsedValue<String,String>[],String[]> value, Font font)`
`String`
URLConverter.`convert(ParsedValue<ParsedValue[],String> value, Font font)`
`String[]`
URLConverter.SequenceConverter.`convert(ParsedValue<ParsedValue<ParsedValue[],String>[],String[]> value, Font font)`
Method parameters in javafx.css.converter with type arguments of type ParsedValue
Modifier and Type
Method
Description
`Duration`
DurationConverter.`convert(ParsedValue<ParsedValue<?,Size>,Duration> value, Font font)`
`Number`
FontConverter.FontSizeConverter.`convert(ParsedValue<ParsedValue<?,Size>,Number> value, Font font)`
`Paint`
PaintConverter.`convert(ParsedValue<ParsedValue<?,Paint>,Paint> value, Font font)`
`Number`
SizeConverter.`convert(ParsedValue<ParsedValue<?,Size>,Number> value, Font font)`